Hardening Knowledgeroot

Knowledgeroot is a project that enable it to create htmlcode and to display it. The problem is that the htmlcode could contain javascript that couldbe used for XSS or other attacks. So what can we do to protect you against these attacks? We have created a extension called "libsecure".

The extension libsecure is available over the repository server. It is highly recommended that you install the extension libsecure to protect you.

So what does libsecure do? The extension has a black- and whitelist build in that scans all global vars and will clean them up. The extension will also do some cleanup on fileuploads to protect you.

The extension will add more features in the future to protect you. You should check regular check for updates.

So install libsecure to harden Knowledgeroot!